package com.ruoyi.system.service.impl;

import java.util.List;
import com.ruoyi.system.domain.SysNotice;
import org.springframework.beans.factory.annotation.Autowired;
import com.ruoyi.system.mapper.SysNoticeMapper;
import org.springframework.stereotype.Service;
import com.ruoyi.system.service.ISysNoticeService;

@Service
public class SysNoticeServiceImpl implements ISysNoticeService
{
    @Autowired
    private SysNoticeMapper noticeMapper;
    
    public SysNotice selectNoticeById(final Long noticeId) {
        return this.noticeMapper.selectNoticeById(noticeId);
    }
    
    public List<SysNotice> selectNoticeList(final SysNotice notice) {
        return this.noticeMapper.selectNoticeList(notice);
    }
    
    public int insertNotice(final SysNotice notice) {
        return this.noticeMapper.insertNotice(notice);
    }
    
    public int updateNotice(final SysNotice notice) {
        return this.noticeMapper.updateNotice(notice);
    }
    
    public int deleteNoticeById(final Long noticeId) {
        return this.noticeMapper.deleteNoticeById(noticeId);
    }
    
    public int deleteNoticeByIds(final Long[] noticeIds) {
        return this.noticeMapper.deleteNoticeByIds(noticeIds);
    }
}
